﻿SuperStrict

Include "TCrypt.bmx"

Global encryptionFunction:TCrypt = New TAesCrypt

Global firstFile:String = "test.txt"
Global tmpFile:String = "tmp.txt"
Global secondFile:String = "test2.txt"

Print "run first test"
firstTest()
Print "run second test"
secondTest()
Print "run third test"
thirdTest()

End



Function firstTest() 
	Local incoming:TStream = ReadFile(firstFile) 
	Local outgoing:TStream = WriteFile(tmpFile) 
	encryptionFunction.setkey("MeinTollerKey") 
	encryptionFunction.cipher(incoming , outgoing) 
	CloseFile incoming
	CloseFile outgoing
End Function


Function secondTest()
	Local incoming:TStream = ReadFile(tmpFile) 
	Local outgoing:TStream = WriteFile(secondFile) 
	encryptionFunction.setkey("MeinTollerKey") 
	encryptionFunction.decipher(incoming , outgoing) 
	CloseFile incoming
	CloseFile outgoing
End Function


Function thirdTest() 
	'Integrit�ts�berpr�fung
	If FileSize(firstFile) <> FileSize(secondFile) Print "filesize different"
	
	Local f1:TStream = ReadFile(firstFile) 
	Local f2:TStream = ReadFile(secondFile) 
	
	Local validation:Byte = True

	While Not Eof(f1)
		If ReadByte(f1) <> ReadByte(f2) validation = False
	Wend
	
	CloseFile f1
	CloseFile f2
	
	If Not validation
		Print "validation failed"
	Else
		Print "validation was successfully"
	EndIf
End Function